import os
import signal
import time
import ConfigParser

class TestConfigFile:
    def __init__(self, filename = ""):
        """Sets default values """
        if filename != "":
            self.loadTestConfigFile(filename);
        else:
	    self.host = '192.168.3.110'
	    self.port = 6543

    def loadTestConfigFile(self, filename):
        """Load the test script's config data from a file."""
        config = ConfigParser.ConfigParser()
        if os.path.exists(filename):
            config.read(filename)
            try:
                host = config.get("GMyth Test Scripts Config", "Host")
                port = config.get("GMyth Test Scripts Config", "Port")
            except:
                raise "ConfigError", "Problems on configuration file (%s) " % filename
            else:
                self.host = host
                self.port = port
        else:
            print "Creating file %s..." % filename 
            self.create()

    def get_host(self):
        return self.host

    def get_port(self):
        return self.port

def wait_string(file, string):
    while True:
        line = file.readline().strip()
        if line == string:
            return

sync_string = '===SYNC==='
